summaryrefslogtreecommitdiffstats
path: root/kconfig/check.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-11-24 08:59:01 (EST)
committer P. J. McDermott <pj@pehjota.net>2014-11-24 08:59:01 (EST)
commit1b4b0911bbb74f0811e40a47ab85b282c45deaea (patch)
tree4ccdff0f06d3e303031aedd21b6539fe972f9c08 /kconfig/check.sh
parent808905acddae82a56a8785a8def0ccd41ab890e3 (diff)
Move kconfig files into kconfig/
Diffstat (limited to 'kconfig/check.sh')
-rwxr-xr-xkconfig/check.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/kconfig/check.sh b/kconfig/check.sh
new file mode 100755
index 0000000..55b79ba
--- /dev/null
+++ b/kconfig/check.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -x c -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi